function hostname=oshostname()
%OSHOSTNAME figure out hostname, irrespective of os type
%
%   usage: hostname=oshostname();
%
%

if ispc,
	[status,hostname]=system('hostname');hostname=hostname(1:end-1);

	if status, 
		error('oshostname error message: could not run hostname command on windows os');
	end

else
	[status,hostname]=system('hostname -s');
	if status, 
		error('oshostname error message: could not run hostname command on *nix os');
	end
	hostname=hostname(1:end-1);
end
