function scpin(host, path, packages)
%SCPIN get packages from host, using scp on unix, and pscp on windows
%
%   usage: scpin(host,packages,path)
%
%

%first get hostname
hostname=oshostname();

%if hostname and host are the same, do a simple copy
if strcmpi(hostname,host),

    for i=1:numel(packages),
		copyfile(packages{i});
	end

else

	if ispc,
		%use the putty project pscp.exe: it should be in the path.
		
		%get ISSM_DIR variable
		[status,ISSM_DIR]=system('echo [%ISSM_DIR_WIN%]');
		if status, 
			error('scpin error message: could not find ISSM_DIR_WIN envirnoment variable');
		end
		ISSM_DIR=ISSM_DIR(2:end-2);

		username=input('Username: (quoted string) ');
		password=input('Password: (quoted string) ');

		for i=1:numel(packages),
			[status,result]=system([ISSM_DIR '/externalpackages/ssh/pscp.exe -l "' username '" -pw "' password '" ' host ':' path '/' packages{i} ' ./']);
			if status, 
				error('scpin error message: could not call putty pscp');
			end
		end

	else
		%just use standard unix scp
		%string to copy multiple files using scp: 
		string='\{';
		for i=1:numel(packages)-1,
			string=[string packages{i} ','];
		end
		string=[string packages{end} '\}'];

		[status,result]=system(['scp ' host ':' path '/' sring ' ./']);
		if status, 
			error('scpin error message: could not call scp on *nix system');
		end
	end
end
